{% extends 'user.html.twig' %}

{% block title %}Liste des Adhérents{% endblock %}

{% block body %}
	<h1>Liste des Adhérents</h1>
	<a href="{{ path("admin_user_ajout") }}" class="btn blue float-right m-5">Ajouter</a>
	<table class="table striped">
	<thead>
		<tr>
			<th>Nom de l'adhérent</th>
            <th>Prénom</th>
			<th>Mail</th>
			<th>Numéro d'adhérent</th>
			<th>Délégation</th>
			<th>Rôle</th>
			<th>Actions</th>
		</tr>
	</thead>
	<tbody>
        {% for user in users %}
			<tr>
				<td>{{user.nom}}</td>
				<td>{{user.prenom}}</td>
				<td>{{user.email}}</td>
				<td>{{user.numAdh}}</td>
				<td>{{user.delegation.nomDelegation}}</td>
				{% for role in user.roles %}
					{% if role == 'ROLE_ADMIN' %}
						<td>Administrateur</td>
					{% elseif role =='ROLE_DELEGUE' %}
						<td>Délégué</td>
					{% elseif role =='ROLE_FORMATEUR' %}
						<td>Formateur</td>
					{% else %}
						<td>Adhérent</td>
					{% endif %}
				{% endfor %}
				<td class="text-center">
					<a href="{{ path("admin_user_show", {id: user.id}) }}" class="btn blue">Voir</a>
                    <a href="{{ path("admin_user_edit", {id: user.id}) }}" class="btn blue">Modifier</a>
					<a href="#" class="btn primary press modal-trigger" data-target="modal-delete" data-id="{{user.id}}" data-titre="{{user.nom}}">Supprimer</a>
				</td>
			</tr>
        {% endfor %}
		</tbody>
	</table>

{% endblock %}